module Model.ServerExceptions where

import Control.Exception


data QueryException = SyntaxException |
                      VariableException | 
                      ParseFragmentException | 
                      EmptyQueryException | 
                      InvalidObjectException | 
                      InvalidScalarException |
                      InvalidObjectSubFieldException |
                      NullArgumentException |
                      CreatingSqlQueryObjectFieldsException |
                      EOFDataProcessingException |
                      InvalidArgumentException |
                      RelationshipConfigurationException |
                      FailedObjectEqualityException |
                      DuplicateRootObjectsException 
  deriving Show

                      -- InvalidObjectNestedObjectFieldException | 
                      -- InvalidObjectScalarFieldException | 
                      -- InvalidAttributeTransformation |
                      -- CreatingSqlQueryObjectsException |
                      -- TooManyTablesException |
                      -- EmptyRowException |
                      -- Foundlinebreakexception |

instance Exception QueryException